#

Function CONJUGATE

Syntax:

conjugate number => conjugate

Arguments and Values:

number---a number.

conjugate---a number.

Description:

Returns the complex conjugate of number. The conjugate of a real number is itself.

Examples:

     (conjugate #c(0 -1)) =>  #C(0 1)
     (conjugate #c(1 1)) =>  #C(1 -1)
     (conjugate 1.5) =>  1.5
     (conjugate #C(3/5 4/5)) =>  #C(3/5 -4/5)
     (conjugate #C(0.0D0 -1.0D0)) =>  #C(0.0D0 1.0D0)
     (conjugate 3.7) =>  3.7

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also: None.

Notes:

For a complex number `z`,

     (conjugate z) ==  (complex (realpart z) (- (imagpart z)))

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- REAL-NUMBER-TYPE:X3J13-MAR-89

Copyright 1996-2001, Xanalys Inc. All rights reserved.